Create subscription
curl --request POST \
--url https://api.quentli.com/v1/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"customerId": "cus_1234567890abcdefghij",
"description": "Colegiatura mensual",
"collectionMethod": "SEND_REMINDER",
"nextCollectionDate": "2026-09-01T00:00:00.000Z",
"recurrentDetail": {
"chargeEach": 1,
"collectionInterval": "MONTH"
},
"items": [
{
"conceptId": "pc_1234567890abcdefghij",
"quantity": 1,
"amount": 150000,
"currency": "MXN"
}
]
}
}
'import requests
url = "https://api.quentli.com/v1/subscriptions"
payload = { "input": {
"customerId": "cus_1234567890abcdefghij",
"description": "Colegiatura mensual",
"collectionMethod": "SEND_REMINDER",
"nextCollectionDate": "2026-09-01T00:00:00.000Z",
"recurrentDetail": {
"chargeEach": 1,
"collectionInterval": "MONTH"
},
"items": [
{
"conceptId": "pc_1234567890abcdefghij",
"quantity": 1,
"amount": 150000,
"currency": "MXN"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
customerId: 'cus_1234567890abcdefghij',
description: 'Colegiatura mensual',
collectionMethod: 'SEND_REMINDER',
nextCollectionDate: '2026-09-01T00:00:00.000Z',
recurrentDetail: {chargeEach: 1, collectionInterval: 'MONTH'},
items: [
{
conceptId: 'pc_1234567890abcdefghij',
quantity: 1,
amount: 150000,
currency: 'MXN'
}
]
}
})
};
fetch('https://api.quentli.com/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"id": "sub_1234567890abcdefghij",
"customerId": "cus_1234567890abcdefghij",
"status": "ACTIVE",
"collectionMethod": "SEND_REMINDER",
"isActive": true
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Subscriptions
Create subscription
Creates a new recurring subscription for a customer.
POST
/
v1
/
subscriptions
Create subscription
Authorizations
Organization API key using Authorization: Bearer sk_....
Body
application/json
Request body for creating a subscription.
Show child attributes
Show child attributes
Response
Subscription created
Successful subscription creation response.
Recurring billing subscription tied to a customer.
Show child attributes
Show child attributes
Was this page helpful?